﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kinect.Framework.Lib
{
    public class PayloadEventArgs<T> : EventArgs
    {
        #region Constructors
        public PayloadEventArgs(T payload)
        {
            Payload = payload;
        }
        #endregion

        #region Properties
        public T Payload
        {
            get;
            private set;
        }
        #endregion

    }
    public class PayloadEventArgs
    {
        #region Methods

        public static PayloadEventArgs<T> Create<T>(T data)
        {
            return new PayloadEventArgs<T>(data);
        }

        #endregion Methods
    }
}
