﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Kinect.Framework.Controls;

namespace Kinect.ShowCase.Views
{
    /// <summary>
    /// Interaction logic for KinectButtonView.xaml
    /// </summary>
    public partial class KinectButtonView : UserControl
    {
        public KinectButtonView()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(KinectButtonView_Loaded);
        }

        void KinectButtonView_Loaded(object sender, RoutedEventArgs e)
        {
            ((MainWindow)KinectWindow.GetWindow(this)).ContextMenu.IsEnabled = false;
        }
        private void OnButtonClick(object sender, RoutedEventArgs e)
        {
            Debug.Text = ((KinectButton)sender).Name + " clicked !";
        }
    }
}
