﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Kinect.Framework.Controls;

namespace Kinect.ShowCase.Views
{
    /// <summary>
    /// Interaction logic for KinectListBoxView.xaml
    /// </summary>
    public partial class KinectListBoxView : UserControl
    {
        public KinectListBoxView()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(KinectListBoxView_Loaded);
        }

        void KinectListBoxView_Loaded(object sender, RoutedEventArgs e)
        {
            ((MainWindow)KinectWindow.GetWindow(this)).ContextMenu.IsEnabled = false;
            var list = new List<string>();
            for (int i = 0; i < 200; i++)
                list.Add("MENU " + i);
            MyListBox.ItemsSource = list;            
        }
    }
}
